/*

   Alert dialog
   
   Display custom messages

*/



function Groowe_LoadAlert()
{
   try {
      var labelTitle = document.getElementById("Groowe-Alert-Title");
      var labelMsg = document.getElementById("Groowe-Alert-Msg");
      var alertDialog = document.getElementById("Groowe-Alert");
      
      var alertType = window.arguments[2];
      if ((alertType == "info") || (alertType == "error") || (alertType == "alert")) {
         alertDialog.buttons = "accept";
      }
      else if (alertType == "question") {
         alertDialog.buttons = "extra2,extra1";
      }
      
      labelTitle.setAttribute("value", window.arguments[0]);
      
      for (var i = labelMsg.childNodes.length - 1; i>=0; i--) {
         labelMsg.removeChild(labelMsg.childNodes.item(i));
      }

      var text = window.arguments[1];
      var lines = text.split("\n");
      for (var i = 0; i < lines.length; i++) {
         var descriptionNode = document.createElement("description");
         descriptionNode.setAttribute("style", "width: 350px;");
         var linetext = document.createTextNode(lines[i]);
         descriptionNode.appendChild(linetext);
         labelMsg.appendChild(descriptionNode);
      }      
   }
   catch (e) {
       //alert(e);
   }
}


function Groowe_OnAccept()
{
   opener.Groowe_SetAlertResult(true);
   window.close();
   return true;
}

function Groowe_OnCancel()
{
   opener.Groowe_SetAlertResult(false);
   window.close();
   return true;
}
