var groowe_Favorites = new Array("Google", "Bing", "YouTube", "Wikipedia", "Yahoo", "Amazon", "Twitter", "Facebook", "EBay", "Ask", "del.icio.us");
var groowe_FavoritesEx = new Array("Google", "Bing", "YouTube", "Wikipedia", "Yahoo", "Amazon", "Twitter", "Facebook", "EBay", "Ask", "del.icio.us");
var groowe_PluginURL = "";
var groowe_prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);

function Groowe_GetContents(aURL)
{
   try {
      var converter = Components.classes["@mozilla.org/intl/scriptableunicodeconverter"].createInstance(Components.interfaces.nsIScriptableUnicodeConverter);
      converter.charset = "UTF-8";

      var ioService=Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService);
      var scriptableStream=Components.classes["@mozilla.org/scriptableinputstream;1"].getService(Components.interfaces.nsIScriptableInputStream);
      var channel=ioService.newChannel(aURL, null, null);
      var input = channel.open();
      scriptableStream.init(input);

      var data = "";
      var str = scriptableStream.read(input.available());
      while (str.length > 0) {
         data += str;
         str=scriptableStream.read(input.available());
      }

      scriptableStream.close();
      input.close();
      return converter.ConvertToUnicode(data);
   }
   catch (e) {
      return "";
   }
}

function Groowe_GetPluginContent(engineName)
{
   try {
      var converter = Components.classes["@mozilla.org/intl/scriptableunicodeconverter"].createInstance(Components.interfaces.nsIScriptableUnicodeConverter);
      converter.charset = "UTF-8";

      var file = Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties).get("ProfD", Components.interfaces.nsIFile);

      file.append("GrooweFiles");
      file.append(engineName + ".xml");

      var data = "";
      var fstream = Components.classes["@mozilla.org/network/file-input-stream;1"].createInstance(Components.interfaces.nsIFileInputStream);
      var sstream = Components.classes["@mozilla.org/scriptableinputstream;1"].createInstance(Components.interfaces.nsIScriptableInputStream);
      fstream.init(file, 1, 0, false);
      sstream.init(fstream);

      var str = sstream.read(-1);
      while (str.length > 0) {
        data += str;
        str = sstream.read(-1);
      }

      sstream.close();
      fstream.close();
      return converter.ConvertToUnicode(data);
   }
   catch (e) {
      return "";
   }
}


function Groowe_GetPluginURL(url)
{
   var pluginURL = "";
   var uri = url.split("?")[1];
   if (uri != undefined) {
      uri = "?" + uri;
      var q1 = "?url=";
      var q2 = "&url=";
      for (var i = 0; i < uri.length-(q1.length-1); i++) {
         var urlBegin = "";
         for (var k=0; k<q1.length; k++) {
            urlBegin += uri[i+k];
         }
         if ((urlBegin == q1) || (urlBegin == q2)) {
            for (var j=i+q1.length; j < uri.length; j++) {
               if (uri[j] == "&") {
                  break;
               }
               else {
                  pluginURL += uri[j];
               }
            }
            break;
         }
      }
   }
   return decodeURIComponent(pluginURL);
}


function Groowe_InArray(arr, element)
{
   for (i=0; i < arr.length; i++) {
      if (arr[i] == element) {
         return true;
      }
   }

   return false;
}

function Groowe_Error(e)
{
 //  alert(e);
}
